List the signed-in supplier’s travel zones
curl --request GET \
--url https://apiv2.gomarketbox.com/v1/projects/{projectId}/suppliers/me/travel-zones \
--header 'Authorization: Bearer <token>' \
--header 'x-api-key: <api-key>'import requests
url = "https://apiv2.gomarketbox.com/v1/projects/{projectId}/suppliers/me/travel-zones"
headers = {
"x-api-key": "<api-key>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'x-api-key': '<api-key>', Authorization: 'Bearer <token>'}
};
fetch('https://apiv2.gomarketbox.com/v1/projects/{projectId}/suppliers/me/travel-zones', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://apiv2.gomarketbox.com/v1/projects/{projectId}/suppliers/me/travel-zones",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://apiv2.gomarketbox.com/v1/projects/{projectId}/suppliers/me/travel-zones"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-api-key", "<api-key>")
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://apiv2.gomarketbox.com/v1/projects/{projectId}/suppliers/me/travel-zones")
.header("x-api-key", "<api-key>")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://apiv2.gomarketbox.com/v1/projects/{projectId}/suppliers/me/travel-zones")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["x-api-key"] = '<api-key>'
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": [
{
"supplierTravelZoneId": "stz_01kv60qgnef2kt3pvqgwmkbzfr",
"projectId": "prj_01kv60qge5eh59ap0gw0pqrrys",
"supplierId": "sup_01kv60qgnef2kt3pvqgwmkbzfr",
"name": "Downtown Toronto",
"nameNormalized": "downtown toronto",
"longitude": -79.3832,
"latitude": 43.6532,
"travelZoneType": "CIRCULAR",
"active": true,
"deleted": false,
"version": 1,
"createdAt": "2026-10-01T14:00:00.000Z",
"updatedAt": "2026-10-01T14:00:00.000Z",
"defaultLanguage": "en",
"nameI18n": {
"fr": "Centre-ville de Toronto"
},
"addressOneLine": "100 Queen St W, Toronto, ON M5H 2N2",
"street": "100 Queen St W",
"city": "Toronto",
"state": "ON",
"country": "CA",
"postalCode": "M5H 2N2",
"timezone": "America/Toronto",
"travelDistance": 10,
"travelDistanceUnit": "KM",
"travelRegions": null
}
]
}{
"code": "NOT_FOUND",
"message": "Booking not found",
"statusCode": 404,
"requestId": "a3f1c2de-9b64-4a2f-8f0e-5c9d1b7a2e10"
}{
"code": "NOT_FOUND",
"message": "Booking not found",
"statusCode": 404,
"requestId": "a3f1c2de-9b64-4a2f-8f0e-5c9d1b7a2e10"
}{
"code": "NOT_FOUND",
"message": "Booking not found",
"statusCode": 404,
"requestId": "a3f1c2de-9b64-4a2f-8f0e-5c9d1b7a2e10"
}Supplier plane
List the signed-in supplier’s travel zones
The supplier’s travel zones as the dashboard lists them: active ones by default, inactive and soft-deleted ones on request, optionally by name prefix. Requires the API key and the supplier’s user token.
GET
/
v1
/
projects
/
{projectId}
/
suppliers
/
me
/
travel-zones
List the signed-in supplier’s travel zones
curl --request GET \
--url https://apiv2.gomarketbox.com/v1/projects/{projectId}/suppliers/me/travel-zones \
--header 'Authorization: Bearer <token>' \
--header 'x-api-key: <api-key>'import requests
url = "https://apiv2.gomarketbox.com/v1/projects/{projectId}/suppliers/me/travel-zones"
headers = {
"x-api-key": "<api-key>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'x-api-key': '<api-key>', Authorization: 'Bearer <token>'}
};
fetch('https://apiv2.gomarketbox.com/v1/projects/{projectId}/suppliers/me/travel-zones', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://apiv2.gomarketbox.com/v1/projects/{projectId}/suppliers/me/travel-zones",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://apiv2.gomarketbox.com/v1/projects/{projectId}/suppliers/me/travel-zones"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-api-key", "<api-key>")
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://apiv2.gomarketbox.com/v1/projects/{projectId}/suppliers/me/travel-zones")
.header("x-api-key", "<api-key>")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://apiv2.gomarketbox.com/v1/projects/{projectId}/suppliers/me/travel-zones")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["x-api-key"] = '<api-key>'
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": [
{
"supplierTravelZoneId": "stz_01kv60qgnef2kt3pvqgwmkbzfr",
"projectId": "prj_01kv60qge5eh59ap0gw0pqrrys",
"supplierId": "sup_01kv60qgnef2kt3pvqgwmkbzfr",
"name": "Downtown Toronto",
"nameNormalized": "downtown toronto",
"longitude": -79.3832,
"latitude": 43.6532,
"travelZoneType": "CIRCULAR",
"active": true,
"deleted": false,
"version": 1,
"createdAt": "2026-10-01T14:00:00.000Z",
"updatedAt": "2026-10-01T14:00:00.000Z",
"defaultLanguage": "en",
"nameI18n": {
"fr": "Centre-ville de Toronto"
},
"addressOneLine": "100 Queen St W, Toronto, ON M5H 2N2",
"street": "100 Queen St W",
"city": "Toronto",
"state": "ON",
"country": "CA",
"postalCode": "M5H 2N2",
"timezone": "America/Toronto",
"travelDistance": 10,
"travelDistanceUnit": "KM",
"travelRegions": null
}
]
}{
"code": "NOT_FOUND",
"message": "Booking not found",
"statusCode": 404,
"requestId": "a3f1c2de-9b64-4a2f-8f0e-5c9d1b7a2e10"
}{
"code": "NOT_FOUND",
"message": "Booking not found",
"statusCode": 404,
"requestId": "a3f1c2de-9b64-4a2f-8f0e-5c9d1b7a2e10"
}{
"code": "NOT_FOUND",
"message": "Booking not found",
"statusCode": 404,
"requestId": "a3f1c2de-9b64-4a2f-8f0e-5c9d1b7a2e10"
}Authorizations
API key minted in the MarketBox dashboard. Scope is restricted to the projects you select at creation time. Every route needs the key's standard API access (*) except POST /v1/projects/{projectId}/events, which needs events:write; a key without * is refused with 403 CAPABILITY_NOT_GRANTED.